Subject: Re: bug#62969: [PATCH] home: Add msmtp service.

From: Tanguy LE CARROUR <[email-masked]>
Date: Tue, 30 May 2023 08:54:12 +0200

Hi Ludo’

Quoting Ludovic Courtès (2023-05-29 23:43:14)
> Tanguy Le Carrour <[email-masked]> skribis:
> 
> > * gnu/home/services/mail.scm: New file.
> > * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
> > * doc/guix.texi (Mailing): New node.
> 
> Sorry for the delay!
> 
> I applied it with the changes below.  The ‘define-maybe’ change fixes
> the unbound-variable warnings that we were seeing, and it lets us remove
> a bit of boilerplate.

Thaaaanks!

> In a subsequent patch, we should make the msmtp package configurable, as
> is done for other services (see redshift, unclutter, dbus, etc.).
> I was going to do it but ran out of time; could you take a look?

Absolutely! I submitted a simple one in order to have something
to improve upon! 😁

Cheers,

-- 
Tanguy